Get Order by ID
curl -X GET "https://sandbox-api.aparatech.io/v1/public/orders/example_string" \
-H "Content-Type: application/json" \
-H "MID: example_string"
import requests
import json
url = "https://sandbox-api.aparatech.io/v1/public/orders/example_string"
headers = {
"Content-Type": "application/json",
"MID": "example_string"
}
response = requests.get(url, headers=headers)
print(response.json())
const response = await fetch("https://sandbox-api.aparatech.io/v1/public/orders/example_string", {
method: "GET",
headers: {
"Content-Type": "application/json",
"MID": "example_string"
}
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
)
func main() {
req, err := http.NewRequest("GET", "https://sandbox-api.aparatech.io/v1/public/orders/example_string", nil)
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("MID", "example_string")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://sandbox-api.aparatech.io/v1/public/orders/example_string')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Get.new(uri)
request['Content-Type'] = 'application/json'
request['MID'] = 'example_string'
response = http.request(request)
puts response.body
{
"status": "success",
"data": {
"id": "OR-241202061601224",
"status": "asset_settled",
"type": "payin",
"purposeCode": "Payroll processing",
"source": {
"currency": "ETH",
"amount": "1"
},
"userId": "OCUX-241202060641625",
"senderName": {
"firstName": "Shubham",
"lastName": "Mishra"
},
"partnerContext": {
"test": "value"
},
"fees": {
"networkFee": 0,
"processingFee": 0
}
}
}
GET
/v1/public/orders/{orderId}GET
Base URLstring
Target server for requests. Edit to use your own host.
path
orderIdstring
RequiredUnique identifier of the order.
header
MIDstring
RequiredMerchant ID for authentication.
Request Preview
Response
Response will appear here after sending the request
Path Parameters
orderIdstring
RequiredUnique identifier of the order.
Headers
MIDstring
RequiredMerchant ID for authentication.
Responses
statusstring
dataobject
Was this page helpful?